HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostAccountsAccountReject

Contains the different functions to run the operation postAccountsAccountReject

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostAccountsAccountReject.hs
valuepostAccountsAccountReject
  1. :: MonadHTTP m
  2. => Text

    account | Constraints: Maximum length of 5000

  3. -> PostAccountsAccountRejectRequestBody

    The request body to send

  4. -> ClientT m (Response PostAccountsAccountRejectResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/accounts/{account}/reject

<p>With <a href="/docs/connect">Connect</a>, you may flag accounts as suspicious.</p>

<p>Test-mode Custom and Express accounts can be rejected at any time. Accounts created using live-mode keys may only be rejected once all balances are zero.</p>

Defines the object schema located at paths./v1/accounts/{account}/reject.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postAccountsAccountReject.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostAccountsAccountRejectResponseError is used.

Constructors

Instances2Eq, Show